package br.ufrn.imd.authenticator.utils;

import br.ufrn.imd.authenticator.domain.Account;
import br.ufrn.imd.authenticator.domain.Client;
import br.ufrn.imd.authenticator.repository.ClientRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@RequiredArgsConstructor
@Component
public class DummyData {
    private final ClientRepository clientRepository;

    @PostConstruct
    public void insert() {
        if(clientRepository.findAll().isEmpty()) {
            Client client1 = new Client(null, "Fernando", new Account(null, "123", 3000d,
                    new BCryptPasswordEncoder().encode("s#nh4")));
            clientRepository.save(client1);

            Client client2 = new Client(null, "Maria", new Account(null, "321", 3000d,
                    new BCryptPasswordEncoder().encode("s#nh4")));
            clientRepository.save(client2);
        }
    }
}
